USE [master]
GO

/****** Object:  Database [BigDataId]    Script Date: 7/20/2015 11:36:53 AM ******/
CREATE DATABASE [BigDataId]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'BigData', FILENAME = N'D:\SQLData\db\BigData.mdf' , SIZE = 6144000KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024000KB )
 LOG ON 
( NAME = N'BigData_log', FILENAME = N'D:\SQLData\db\BigData_log.ldf' , SIZE = 2048000KB , MAXSIZE = 2048GB , FILEGROWTH = 1024000KB )
GO

ALTER DATABASE [BigDataId] SET COMPATIBILITY_LEVEL = 110
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [BigDataId].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [BigDataId] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [BigDataId] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [BigDataId] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [BigDataId] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [BigDataId] SET ARITHABORT OFF 
GO

ALTER DATABASE [BigDataId] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [BigDataId] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [BigDataId] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [BigDataId] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [BigDataId] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [BigDataId] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [BigDataId] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [BigDataId] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [BigDataId] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [BigDataId] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [BigDataId] SET  DISABLE_BROKER 
GO

ALTER DATABASE [BigDataId] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [BigDataId] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [BigDataId] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [BigDataId] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [BigDataId] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [BigDataId] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [BigDataId] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [BigDataId] SET RECOVERY SIMPLE 
GO

ALTER DATABASE [BigDataId] SET  MULTI_USER 
GO

ALTER DATABASE [BigDataId] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [BigDataId] SET DB_CHAINING OFF 
GO

ALTER DATABASE [BigDataId] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO

ALTER DATABASE [BigDataId] SET TARGET_RECOVERY_TIME = 0 SECONDS 
GO

ALTER DATABASE [BigDataId] SET  READ_WRITE 
GO




USE [BigDataId]
GO
/****** Object:  Table [dbo].[Address]    Script Date: 7/19/2015 5:02:03 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Address](
	[AddressId] [uniqueidentifier] NOT NULL,
	[AddressKey] [int] IDENTITY(1,1) NOT NULL,
	[AddressPostcode] [nchar](200) NOT NULL,
	[AddressNr] [int] NOT NULL,
	[AddressStreetId] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_Address] PRIMARY KEY CLUSTERED 
(
	[AddressId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[City]    Script Date: 7/19/2015 5:02:03 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[City](
	[CityId] [uniqueidentifier] NOT NULL,
	[CityKey] [int] IDENTITY(1,1) NOT NULL,
	[CityName] [nchar](200) NOT NULL,
	[CityCountryId] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_City] PRIMARY KEY CLUSTERED 
(
	[CityId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Component]    Script Date: 7/19/2015 5:02:03 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Component](
	[ComponentId] [uniqueidentifier] NOT NULL,
	[ComponentKey] [int] IDENTITY(1,1) NOT NULL,
	[ComponentName] [nchar](200) NOT NULL,
	[ComponentObjectId] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_Component] PRIMARY KEY CLUSTERED 
(
	[ComponentId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Continent]    Script Date: 7/19/2015 5:02:03 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Continent](
	[ContinentId] [uniqueidentifier] NOT NULL,
	[ContinentKey] [int] IDENTITY(1,1) NOT NULL,
	[ContinentName] [nchar](200) NOT NULL,
 CONSTRAINT [PK_Continent] PRIMARY KEY CLUSTERED 
(
	[ContinentId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Country]    Script Date: 7/19/2015 5:02:03 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Country](
	[CountryId] [uniqueidentifier] NOT NULL,
	[CountryKey] [int] IDENTITY(1,1) NOT NULL,
	[CountryName] [nchar](200) NOT NULL,
	[CountryContinentId] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_Country] PRIMARY KEY CLUSTERED 
(
	[CountryId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Manufacturer]    Script Date: 7/19/2015 5:02:03 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Manufacturer](
	[ManufacturerId] [uniqueidentifier] NOT NULL,
	[ManufacturerKey] [int] IDENTITY(1,1) NOT NULL,
	[ManufacturerName] [nchar](200) NOT NULL,
 CONSTRAINT [PK_Manufacturer] PRIMARY KEY CLUSTERED 
(
	[ManufacturerId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Object]    Script Date: 7/19/2015 5:02:03 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Object](
	[ObjectId] [uniqueidentifier] NOT NULL,
	[ObjectKey] [int] IDENTITY(1,1) NOT NULL,
	[ObjectName] [nchar](200) NOT NULL,
	[ObjectPersonId] [uniqueidentifier] NOT NULL,
	[ObjectManufacturerId] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_Object] PRIMARY KEY CLUSTERED 
(
	[ObjectId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Person]    Script Date: 7/19/2015 5:02:03 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Person](
	[PersonId] [uniqueidentifier] NOT NULL,
	[PersonKey] [int] IDENTITY(1,1) NOT NULL,
	[PersonName] [nchar](100) NOT NULL,
	[PersonAddressId] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_Person] PRIMARY KEY CLUSTERED 
(
	[PersonId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Street]    Script Date: 7/19/2015 5:02:03 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Street](
	[StreetId] [uniqueidentifier] NOT NULL,
	[StreetKey] [int] IDENTITY(1,1) NOT NULL,
	[StreetName] [nchar](200) NOT NULL,
	[StreetCityId] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_Street] PRIMARY KEY CLUSTERED 
(
	[StreetId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  View [dbo].[AllData]    Script Date: 7/19/2015 5:02:03 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[AllData]
AS
SELECT        ROW_NUMBER ( ) OVER (order by dbo.Component.ComponentId) as AllDataKey, 
               dbo.Component.ComponentId, dbo.Component.ComponentKey, dbo.Component.ComponentName, dbo.Object.ObjectId, dbo.Object.ObjectKey, dbo.Object.ObjectName, 
                         dbo.Manufacturer.ManufacturerId, dbo.Manufacturer.ManufacturerKey, dbo.Manufacturer.ManufacturerName, dbo.Person.PersonId, dbo.Person.PersonKey, 
                         dbo.Person.PersonName, dbo.Address.AddressId, dbo.Address.AddressKey, dbo.Address.AddressPostcode, dbo.Address.AddressNr, dbo.Street.StreetId, 
                         dbo.Street.StreetKey, dbo.Street.StreetName, dbo.City.CityId, dbo.City.CityKey, dbo.City.CityName, dbo.Country.CountryId, dbo.Country.CountryKey, 
                         dbo.Country.CountryName, dbo.Continent.ContinentId, dbo.Continent.ContinentKey, dbo.Continent.ContinentName
FROM            dbo.Component INNER JOIN
                         dbo.Object ON dbo.Component.ComponentObjectId = dbo.Object.ObjectId INNER JOIN
                         dbo.Manufacturer ON dbo.Object.ObjectManufacturerId = dbo.Manufacturer.ManufacturerId INNER JOIN
                         dbo.Person ON dbo.Object.ObjectPersonId = dbo.Person.PersonId INNER JOIN
                         dbo.Address ON dbo.Person.PersonAddressId = dbo.Address.AddressId INNER JOIN
                         dbo.Street ON dbo.Address.AddressStreetId = dbo.Street.StreetId INNER JOIN
                         dbo.City ON dbo.Street.StreetCityId = dbo.City.CityId INNER JOIN
                         dbo.Country ON dbo.City.CityCountryId = dbo.Country.CountryId INNER JOIN
                         dbo.Continent ON dbo.Country.CountryContinentId = dbo.Continent.ContinentId


GO
ALTER TABLE [dbo].[Address]  WITH CHECK ADD  CONSTRAINT [FK_Address_Street] FOREIGN KEY([AddressStreetId])
REFERENCES [dbo].[Street] ([StreetId])
GO
ALTER TABLE [dbo].[Address] CHECK CONSTRAINT [FK_Address_Street]
GO
ALTER TABLE [dbo].[City]  WITH CHECK ADD  CONSTRAINT [FK_City_Country] FOREIGN KEY([CityCountryId])
REFERENCES [dbo].[Country] ([CountryId])
GO
ALTER TABLE [dbo].[City] CHECK CONSTRAINT [FK_City_Country]
GO
ALTER TABLE [dbo].[Component]  WITH CHECK ADD  CONSTRAINT [FK_Component_Object] FOREIGN KEY([ComponentObjectId])
REFERENCES [dbo].[Object] ([ObjectId])
GO
ALTER TABLE [dbo].[Component] CHECK CONSTRAINT [FK_Component_Object]
GO
ALTER TABLE [dbo].[Country]  WITH CHECK ADD  CONSTRAINT [FK_Country_Continent] FOREIGN KEY([CountryContinentId])
REFERENCES [dbo].[Continent] ([ContinentId])
GO
ALTER TABLE [dbo].[Country] CHECK CONSTRAINT [FK_Country_Continent]
GO
ALTER TABLE [dbo].[Object]  WITH CHECK ADD  CONSTRAINT [FK_Object_Manufacturer] FOREIGN KEY([ObjectManufacturerId])
REFERENCES [dbo].[Manufacturer] ([ManufacturerId])
GO
ALTER TABLE [dbo].[Object] CHECK CONSTRAINT [FK_Object_Manufacturer]
GO
ALTER TABLE [dbo].[Object]  WITH CHECK ADD  CONSTRAINT [FK_Object_Person] FOREIGN KEY([ObjectPersonId])
REFERENCES [dbo].[Person] ([PersonId])
GO
ALTER TABLE [dbo].[Object] CHECK CONSTRAINT [FK_Object_Person]
GO
ALTER TABLE [dbo].[Person]  WITH CHECK ADD  CONSTRAINT [FK_Person_Address] FOREIGN KEY([PersonAddressId])
REFERENCES [dbo].[Address] ([AddressId])
GO
ALTER TABLE [dbo].[Person] CHECK CONSTRAINT [FK_Person_Address]
GO
ALTER TABLE [dbo].[Street]  WITH CHECK ADD  CONSTRAINT [FK_Street_City] FOREIGN KEY([StreetCityId])
REFERENCES [dbo].[City] ([CityId])
GO
ALTER TABLE [dbo].[Street] CHECK CONSTRAINT [FK_Street_City]
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "Component"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 150
               Right = 236
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Object"
            Begin Extent = 
               Top = 6
               Left = 274
               Bottom = 172
               Right = 480
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Manufacturer"
            Begin Extent = 
               Top = 6
               Left = 518
               Bottom = 159
               Right = 711
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Person"
            Begin Extent = 
               Top = 6
               Left = 749
               Bottom = 169
               Right = 926
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Address"
            Begin Extent = 
               Top = 6
               Left = 964
               Bottom = 135
               Right = 1144
            End
            DisplayFlags = 280
            TopColumn = 1
         End
         Begin Table = "Street"
            Begin Extent = 
               Top = 181
               Left = 916
               Bottom = 310
               Right = 1086
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "City"
            Begin Extent = 
               Top = 189
               Left = 628
               Bottom = 318
               Right = 798
            End
            DisplayFlags = 280
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'AllData'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'            TopColumn = 0
         End
         Begin Table = "Country"
            Begin Extent = 
               Top = 179
               Left = 305
               Bottom = 308
               Right = 500
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Continent"
            Begin Extent = 
               Top = 166
               Left = 41
               Bottom = 301
               Right = 215
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'AllData'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'AllData'
GO
