USE [master]
GO

/****** Object:  Database [BigDataKey]    Script Date: 7/19/2015 10:04:03 PM ******/
CREATE DATABASE [BigDataKey]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'BigDataKey', FILENAME = N'D:\SQLData\db\BigDataKey.mdf' , SIZE = 5120000KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024000KB )
 LOG ON 
( NAME = N'BigDataKey_log', FILENAME = N'D:\SQLData\db\BigDataKey_log.ldf' , SIZE = 1024000KB , MAXSIZE = 2048GB , FILEGROWTH = 1024000KB )
GO

ALTER DATABASE [BigDataKey] SET COMPATIBILITY_LEVEL = 110
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [BigDataKey].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [BigDataKey] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [BigDataKey] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [BigDataKey] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [BigDataKey] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [BigDataKey] SET ARITHABORT OFF 
GO

ALTER DATABASE [BigDataKey] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [BigDataKey] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [BigDataKey] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [BigDataKey] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [BigDataKey] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [BigDataKey] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [BigDataKey] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [BigDataKey] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [BigDataKey] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [BigDataKey] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [BigDataKey] SET  DISABLE_BROKER 
GO

ALTER DATABASE [BigDataKey] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [BigDataKey] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [BigDataKey] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [BigDataKey] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [BigDataKey] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [BigDataKey] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [BigDataKey] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [BigDataKey] SET RECOVERY FULL 
GO

ALTER DATABASE [BigDataKey] SET  MULTI_USER 
GO

ALTER DATABASE [BigDataKey] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [BigDataKey] SET DB_CHAINING OFF 
GO

ALTER DATABASE [BigDataKey] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO

ALTER DATABASE [BigDataKey] SET TARGET_RECOVERY_TIME = 0 SECONDS 
GO

ALTER DATABASE [BigDataKey] SET  READ_WRITE 
GO






USE [BigDataKey]
GO
/****** Object:  Table [dbo].[Address]    Script Date: 7/19/2015 5:02:45 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Address](
	[AddressKey] [int] IDENTITY(1,1) NOT NULL,
	[AddressId] [uniqueidentifier] NOT NULL,
	[AddressPostCode] [nchar](200) NOT NULL,
	[AddressNr] [int] NOT NULL,
	[AddressStreetKey] [int] NOT NULL,
 CONSTRAINT [PK_Address] PRIMARY KEY CLUSTERED 
(
	[AddressKey] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[City]    Script Date: 7/19/2015 5:02:45 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[City](
	[CityKey] [int] IDENTITY(1,1) NOT NULL,
	[CityId] [uniqueidentifier] NOT NULL,
	[CityName] [nchar](200) NOT NULL,
	[CityCountryKey] [int] NOT NULL,
 CONSTRAINT [PK_City] PRIMARY KEY CLUSTERED 
(
	[CityKey] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Component]    Script Date: 7/19/2015 5:02:45 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Component](
	[ComponentKey] [int] IDENTITY(1,1) NOT NULL,
	[ComponentId] [uniqueidentifier] NOT NULL,
	[ComponentName] [nchar](200) NOT NULL,
	[ComponentObjectKey] [int] NOT NULL,
 CONSTRAINT [PK_Component] PRIMARY KEY CLUSTERED 
(
	[ComponentKey] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Continent]    Script Date: 7/19/2015 5:02:45 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Continent](
	[ContinentKey] [int] IDENTITY(1,1) NOT NULL,
	[ContinentId] [uniqueidentifier] NOT NULL,
	[ContinentName] [nchar](200) NOT NULL,
 CONSTRAINT [PK_Continent] PRIMARY KEY CLUSTERED 
(
	[ContinentKey] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Country]    Script Date: 7/19/2015 5:02:45 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Country](
	[CountryKey] [int] IDENTITY(1,1) NOT NULL,
	[CountryId] [uniqueidentifier] NOT NULL,
	[CountryName] [nchar](200) NOT NULL,
	[CountryContinentKey] [int] NOT NULL,
 CONSTRAINT [PK_Country] PRIMARY KEY CLUSTERED 
(
	[CountryKey] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Manufacturer]    Script Date: 7/19/2015 5:02:45 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Manufacturer](
	[ManufacturerKey] [int] IDENTITY(1,1) NOT NULL,
	[ManufacturerId] [uniqueidentifier] NOT NULL,
	[ManufacturerName] [nchar](200) NOT NULL,
 CONSTRAINT [PK_Manufacturer] PRIMARY KEY CLUSTERED 
(
	[ManufacturerKey] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Object]    Script Date: 7/19/2015 5:02:45 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Object](
	[ObjectKey] [int] IDENTITY(1,1) NOT NULL,
	[ObjectId] [uniqueidentifier] NOT NULL,
	[ObjectName] [nchar](200) NOT NULL,
	[ObjectPersonKey] [int] NOT NULL,
	[ObjectManufacturerKey] [int] NOT NULL,
 CONSTRAINT [PK_Object] PRIMARY KEY CLUSTERED 
(
	[ObjectKey] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Person]    Script Date: 7/19/2015 5:02:45 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Person](
	[PersonKey] [int] IDENTITY(1,1) NOT NULL,
	[PersonId] [uniqueidentifier] NOT NULL,
	[PersonName] [nchar](100) NOT NULL,
	[PersonAddressKey] [int] NOT NULL,
 CONSTRAINT [PK_Person] PRIMARY KEY CLUSTERED 
(
	[PersonKey] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Street]    Script Date: 7/19/2015 5:02:45 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Street](
	[StreetKey] [int] IDENTITY(1,1) NOT NULL,
	[StreetId] [uniqueidentifier] NOT NULL,
	[StreetName] [nchar](200) NOT NULL,
	[StreetCityKey] [int] NOT NULL,
 CONSTRAINT [PK_Street] PRIMARY KEY CLUSTERED 
(
	[StreetKey] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  View [dbo].[AllData]    Script Date: 7/19/2015 5:02:45 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[AllData]
AS
SELECT        ROW_NUMBER ( ) OVER (order by dbo.Component.ComponentKey) as AllDataKey, 
               dbo.Component.ComponentKey, dbo.Component.ComponentId, dbo.Component.ComponentName, dbo.Object.ObjectKey, dbo.Object.ObjectId, dbo.Object.ObjectName, 
                         dbo.Manufacturer.ManufacturerKey, dbo.Manufacturer.ManufacturerId, dbo.Manufacturer.ManufacturerName, dbo.Person.PersonKey, dbo.Person.PersonId, 
                         dbo.Person.PersonName, dbo.Address.AddressKey, dbo.Address.AddressId, dbo.Address.AddressPostCode, dbo.Address.AddressNr, dbo.Street.StreetKey, 
                         dbo.Street.StreetId, dbo.Street.StreetName, dbo.City.CityKey, dbo.City.CityId, dbo.City.CityName, dbo.Country.CountryKey, dbo.Country.CountryId, 
                         dbo.Country.CountryName, dbo.Continent.ContinentKey, dbo.Continent.ContinentId, dbo.Continent.ContinentName
FROM            dbo.Country INNER JOIN
                         dbo.City ON dbo.Country.CountryKey = dbo.City.CityCountryKey INNER JOIN
                         dbo.Continent ON dbo.Country.CountryContinentKey = dbo.Continent.ContinentKey INNER JOIN
                         dbo.Street ON dbo.City.CityKey = dbo.Street.StreetCityKey INNER JOIN
                         dbo.Component INNER JOIN
                         dbo.Object ON dbo.Component.ComponentObjectKey = dbo.Object.ObjectKey INNER JOIN
                         dbo.Manufacturer ON dbo.Object.ObjectManufacturerKey = dbo.Manufacturer.ManufacturerKey INNER JOIN
                         dbo.Person ON dbo.Object.ObjectPersonKey = dbo.Person.PersonKey INNER JOIN
                         dbo.Address ON dbo.Person.PersonAddressKey = dbo.Address.AddressKey ON dbo.Street.StreetKey = dbo.Address.AddressStreetKey


GO
ALTER TABLE [dbo].[Address]  WITH CHECK ADD  CONSTRAINT [FK_Address_Street] FOREIGN KEY([AddressStreetKey])
REFERENCES [dbo].[Street] ([StreetKey])
GO
ALTER TABLE [dbo].[Address] CHECK CONSTRAINT [FK_Address_Street]
GO
ALTER TABLE [dbo].[City]  WITH CHECK ADD  CONSTRAINT [FK_City_Country] FOREIGN KEY([CityCountryKey])
REFERENCES [dbo].[Country] ([CountryKey])
GO
ALTER TABLE [dbo].[City] CHECK CONSTRAINT [FK_City_Country]
GO
ALTER TABLE [dbo].[Component]  WITH CHECK ADD  CONSTRAINT [FK_Component_Object] FOREIGN KEY([ComponentObjectKey])
REFERENCES [dbo].[Object] ([ObjectKey])
GO
ALTER TABLE [dbo].[Component] CHECK CONSTRAINT [FK_Component_Object]
GO
ALTER TABLE [dbo].[Country]  WITH CHECK ADD  CONSTRAINT [FK_Country_Continent] FOREIGN KEY([CountryContinentKey])
REFERENCES [dbo].[Continent] ([ContinentKey])
GO
ALTER TABLE [dbo].[Country] CHECK CONSTRAINT [FK_Country_Continent]
GO
ALTER TABLE [dbo].[Object]  WITH CHECK ADD  CONSTRAINT [FK_Object_Manufacturer] FOREIGN KEY([ObjectManufacturerKey])
REFERENCES [dbo].[Manufacturer] ([ManufacturerKey])
GO
ALTER TABLE [dbo].[Object] CHECK CONSTRAINT [FK_Object_Manufacturer]
GO
ALTER TABLE [dbo].[Object]  WITH CHECK ADD  CONSTRAINT [FK_Object_Person] FOREIGN KEY([ObjectPersonKey])
REFERENCES [dbo].[Person] ([PersonKey])
GO
ALTER TABLE [dbo].[Object] CHECK CONSTRAINT [FK_Object_Person]
GO
ALTER TABLE [dbo].[Person]  WITH CHECK ADD  CONSTRAINT [FK_Person_Address] FOREIGN KEY([PersonAddressKey])
REFERENCES [dbo].[Address] ([AddressKey])
GO
ALTER TABLE [dbo].[Person] CHECK CONSTRAINT [FK_Person_Address]
GO
ALTER TABLE [dbo].[Street]  WITH CHECK ADD  CONSTRAINT [FK_Street_City] FOREIGN KEY([StreetCityKey])
REFERENCES [dbo].[City] ([CityKey])
GO
ALTER TABLE [dbo].[Street] CHECK CONSTRAINT [FK_Street_City]
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[43] 4[21] 2[18] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "Component"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 162
               Right = 245
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Object"
            Begin Extent = 
               Top = 6
               Left = 283
               Bottom = 165
               Right = 498
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Manufacturer"
            Begin Extent = 
               Top = 10
               Left = 581
               Bottom = 138
               Right = 774
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Person"
            Begin Extent = 
               Top = 158
               Left = 569
               Bottom = 287
               Right = 755
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Address"
            Begin Extent = 
               Top = 63
               Left = 875
               Bottom = 231
               Right = 1057
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "City"
            Begin Extent = 
               Top = 319
               Left = 557
               Bottom = 448
               Right = 729
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Country"
            Begin Extent = 
               Top = 172
               Left = 286
               Bottom = 301
               Right = 490
            End
            DisplayFlags = 2' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'AllData'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'80
            TopColumn = 0
         End
         Begin Table = "Continent"
            Begin Extent = 
               Top = 190
               Left = 31
               Bottom = 323
               Right = 226
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Street"
            Begin Extent = 
               Top = 333
               Left = 897
               Bottom = 462
               Right = 1067
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 3060
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'AllData'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'AllData'
GO
